Bug 16190 - Kernel Oops: Unable to handle NULL pointer dereference
Kernel Oops: Unable to handle NULL pointer dereference
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-14 16:15 EDT by elliot
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 20:08:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ksymoops output file (18.25 KB, text/plain)
2000-08-14 18:15 EDT, elliot
no flags Details

  None (edit)
Description elliot 2000-08-14 16:15:40 EDT
Receiving periodic Oops in kernel.  nfsd is always involved.  Cannot gracefully reboot system when this happens and resort to power off/on.  
Running kernel 2.2.14-6.1.1smp, as shipped with Dell PowerEdge 2450.  The following is from the messages log file:

NOTE:  Preceding message immediately before the kernel message is always either an unmount or mount message as shown.

Aug  2 15:19:58 ono mountd[435]: authenticated unmount request from smadata:753 
for /usr2/sol/home/mailhot (/usr2/sol/home) 
Aug  2 15:20:14 ono kernel: Unable to handle kernel NULL pointer dereference at 
virtual address 00000008 
Aug  2 15:20:14 ono kernel: current->tss.cr3 = 00101000, %cr3 = 00101000 
Aug  2 15:20:14 ono kernel: *pde = 00000000 
Aug  2 15:20:14 ono kernel: Oops: 0000 
Aug  2 15:20:14 ono kernel: CPU:    1 
Aug  2 15:20:14 ono kernel: EIP:    0010:[nfsd:__insmod_nfsd_S.text_L30206+28170
/30548] 
Aug  2 15:20:14 ono kernel: EFLAGS: 00010286 
Aug  2 15:20:14 ono kernel: eax: 00000000   ebx: d7f95e00   ecx: 00000000   edx:
 d5ec001c 
Aug  2 15:20:14 ono kernel: esi: d7f95e00   edi: d5ec0014   ebp: d7f95e00   esp:
 c42bdf5c 
Aug  2 15:20:14 ono kernel: ds: 0018   es: 0018   ss: 0018 
Aug  2 15:20:14 ono kernel: Process nfsd (pid: 444, process nr: 21, stackpage=c4
2bd000) 
Aug  2 15:20:14 ono kernel: Stack: d5ec0014 e00a94c2 d7f95e00 d5ec001c df5a2c60 
d7f95ef4 e00b2b80 df5a2c9c  
Aug  2 15:20:14 ono kernel:        e009263c d7f95e00 d5ec0014 c42bc000 c42bc000 
00000001 d7f95e00 df5a2c60  
Aug  2 15:20:14 ono kernel:        e00b2ec0 00000001 00000002 000186a3 00000002 
d5ec0014 e00b2a2c 00000000  
Aug  2 15:20:14 ono kernel: Call Trace: [nfsd:__insmod_nfsd_S.text_L30206+1142/3
0548] [nfsd:__insmod_nfsd_S.data_L1220+352/1440] [nfsd:__insmod_nfsd_O/lib/modul
es/2.2.14-6.1.1smp/fs/nfsd.o_M38F6+-92612/76] [nfsd:__insmod_nfsd_S.data_L1220+1
184/1440] [nfsd:__insmod_nfsd_S.data_L1220+12/1440] [nfsd:__insmod_nfsd_S.text_L
30206+537/30548] [kernel_thread+35/48]  
Aug  2 15:20:14 ono kernel: Code: 8b 58 08 85 db 75 07 31 d2 e9 05 01 00 00 66 8
b 43 22 66 c1
Comment 1 Bill Nottingham 2000-08-14 17:19:27 EDT
Can you run the oops through ksymoops?

Also, do you have the upgraded nfs-utils package installed?
Comment 2 elliot 2000-08-14 18:08:35 EDT
I've attached a file called "oops" that contains the output from ksymoops.  
Also, we're running nfs-utils-0.1.6-2.  Thanks!
Comment 3 elliot 2000-08-14 18:15:16 EDT
Created attachment 2484 [details]
Ksymoops output file
Comment 4 Michael K. Johnson 2000-08-16 13:05:01 EDT
Have you tried the 2.2.16-3 errata kernel?  (I don't
know that it will fix it, but then I don't have a
complete list of bug fixes between 2.2.14 and 2.2.16
handy...)
Comment 5 elliot 2000-08-16 13:46:21 EDT
Yesterday, I downloaded and applied from the Dell web site the 2.2.16-4 kernel they posted for the PE 2450 with security fixes, etc.  I also upgraded to 
the nfs-utils-0.1.9.1-1.  I'm hoping this will stabilize the system.   Will see how this goes.

Note You need to log in before you can comment on or make changes to this bug.